version: "2.0"

volumes:
  lsp_core_dm_pgdata:
    driver: local

services:
  #
  # docker exec -it pg psql -u postgres
  #

  postgres:
    container_name: lsp_core_dm_pg
    # image: postgres:11
    image: postgres:12
    restart: "no"
    environment:
      POSTGRES_USER: postgres
      POSTGRES_PASSWORD: password
      POSTGRES_DB: postgres
    volumes:
      - lsp_core_dm_pgdata:/var/lib/postgresql/data
      - ./init.sql:/docker-entrypoint-initdb.d/init.sql
    ports:
      - 5432:5432
    networks:
      default:
        aliases:
          - lsp_core_dm_pg
